| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
Gaudi ::Functional::details::MultiTransformer< std::tuple< Out... >(const In &...), Traits_, false > Struct Template Referenceabstract

`#include <GaudiAlg/Transformer.h>`

Inheritance diagram for Gaudi ::Functional::details::MultiTransformer< std::tuple< Out... >(const In &...), Traits_, false >:
[legend]
Collaboration diagram for Gaudi ::Functional::details::MultiTransformer< std::tuple< Out... >(const In &...), Traits_, false >:
[legend]

## Public Member Functions
StatusCode | execute (const EventContext &ctx) const override final
virtual std::tuple< Out... > | operator() (const In &...) const =0

## Detailed Description

### template<typename... Out, typename... In, typename Traits_>
struct Gaudi ::Functional::details::MultiTransformer< std::tuple< Out... >(const In &...), Traits_, false >

Definition at line 111 of file Transformer.h.

## Member Function Documentation

## ◆ execute()

template<typename... Out, typename... In, typename Traits_ >

StatusCode Gaudi ::Functional::details::MultiTransformer< std::tuple< Out... >(const In &...), Traits_, false >::execute | ( | const EventContext & | ctx | ) | const
| inline final override

Definition at line 116 of file Transformer.h.

116 {
117 try {
118 std::apply(
119 [this, &ctx]( auto&... ohandle ) {
120
121 #if defined( __clang__ ) && ( __clang_major__ < 6 )
122 // clang-5 gives a spurious warning about not using the captured `ohandle`
123 # pragma clang diagnostic push
124 # pragma clang diagnostic ignored "-Wunused-lambda-capture"
125 #endif
126 std::apply(
127 [&ohandle...]( auto&&... data ) {
128 ( details::put( ohandle, std::forward<decltype( data )>( data ) ), ... );
129 },
130 details::filter_evtcontext_t<In...>::apply( *this, ctx, this->m_inputs ) );
131
132 #if defined( __clang__ ) && ( __clang_major__ < 6 )
133 # pragma clang diagnostic pop
134 #endif
135 },
136 this->m_outputs );
137 return StatusCode::SUCCESS;
138 } catch ( GaudiException& e ) {
139 ( e.code() ? this->warning() : this->error() ) << e.message() << endmsg;
140 return e.code();
141 }
142 }
GaudiException
Define general base for Gaudi exception.
Definition: GaudiException.h:21
StatusCode::SUCCESS
constexpr static const auto SUCCESS
Definition: StatusCode.h:85
GaudiException::code
virtual const StatusCode & code() const
StatusCode for Exception.
Definition: GaudiException.h:76
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## ◆ operator()()

template<typename... Out, typename... In, typename Traits_ >

virtual std::tuple<Out...> Gaudi ::Functional::details::MultiTransformer< std::tuple< Out... >(const In &...), Traits_, false >::operator() | ( | const In & | ... | ) | const
| pure virtual

The documentation for this struct was generated from the following file:

- GaudiAlg/GaudiAlg/Transformer.h